TAU_TRACK_MEMORY_HER(3)

NAME
TAU_TRACK_MEMORY_HERE - Triggers memory tracking at a given execution point

SYNOPSIS

C/C++:

TAU_TRACK_MEMORY_HERE(void);

Fortran:

TAU_TRACK_MEMORY_HERE(void);

DESCRIPTION

Triggers memory tracking at a given execution point

EXAMPLE

C/C++ :

int main(int argc, char **argv) {
  TAU_PROFILE("main()", " ", TAU_DEFAULT);
  TAU_PROFILE_SET_NODE(0);
  TAU_TRACK_MEMORY_HERE();
  int *x = new int[5*1024*1024];
  TAU_TRACK_MEMORY_HERE();
  return 0;
}

Fortran :

INTEGER, ALLOCATABLE :: STORAGEARY(:)
allocate(STORAGEARY(1:999), STAT=IERR)
! if we wish to record a sample of the heap memory
! utilization at this point, invoke the following call:
call TAU_TRACK_MEMORY_HERE()

SEE ALSO

TAU_TRACK_MEMORY(3)